#
# Module manifest for module 'ConfigMgrCBDsc'
#
# Generated by: Microsoft Corporation
#
# Generated on: 05/21/2019
#

@{
    # Version number of this module.
    ModuleVersion = '3.0.0'

    # ID used to uniquely identify this module
    GUID = '89e420e1-77ff-4a79-afc3-15532da94912'

    # Author of this module
    Author = 'DSC Community'

    # Company or vendor of this module
    CompanyName = 'DSC Community'

    # Copyright statement for this module
    Copyright = 'Copyright the DSC Community contributors. All rights reserved.'

    # Description of the functionality provided by this module
    Description = 'This module includes DSC resources that simplify administration of Configuration Manager CB'

    # Minimum version of the Windows PowerShell engine required by this module
    PowerShellVersion = '4.0'

    # Functions to export from this module
    FunctionsToExport = @()

    # Cmdlets to export from this module
    CmdletsToExport   = @()

    # Variables to export from this module
    VariablesToExport = @()

    # Aliases to export from this module
    AliasesToExport   = @()

    # DSC resources to export from this module
    DscResourcesToExport = @('CMAccounts','SccmIniFile','xSccmPreReqs','xSccmSqlSetup','CMIniFile','CMCollections','CMBoundaries','CMForestDiscovery','CMClientStatusSettings','CMBoundaryGroups','CMManagementPoint','CMAssetIntelligencePoint','CMFallbackStatusPoint','CMSoftwareUpdatePoint','CMDistributionPoint','CMHeartbeatDiscovery','CMServiceConnectionPoint','CMNetworkDiscovery','CMReportingServicePoint','CMSystemDiscovery','CMPxeDistributionPoint','CMPullDistributionPoint','CMSiteMaintenance','CMAdministrativeUser','CMDistributionGroup','CMSiteSystemServer','CMStatusReportingComponent','CMCollectionMembershipEvaluationComponent','CMDistributionPointGroupMembers','CMSecurityScopes','CMUserDiscovery','CMSecurityRoles','CMClientPushSettings','CMSoftwareDistributionComponent','CMMaintenanceWindows','CMFileReplication','CMEmailNotificationComponent','CMGroupDiscovery','CMSoftwareUpdatePointComponent','CMClientSettings','CMClientSettingsBits','CMClientSettingsClientCache','CMClientSettingsClientPolicy','CMClientSettingsCloudService','CMClientSettingsCompliance','CMClientSettingsComputerAgent','CMClientSettingsDelivery','CMClientSettingsHardware','CMClientSettingsMetered','CMClientSettingsPower','CMClientSettingsRemoteTools','CMClientSettingsSoftwareCenter','CMClientSettingsSoftwareDeployment','CMClientSettingsSoftwareInventory','CMClientSettingsSoftwareMetering','CMClientSettingsSoftwareUpdate','CMClientSettingsStateMessaging','CMClientSettingsUserDeviceAffinity','CMSiteConfiguration')

    <#
      Private data to pass to the module specified in RootModule/ModuleToProcess.
      This may also contain a PSData hashtable with additional module metadata used by PowerShell.
    #>
    PrivateData = @{
        PSData = @{
            # Set to a prerelease string value if the release should be a prerelease.
            Prerelease   = ''

            # Tags applied to this module. These help with module discovery in online galleries.
            Tags = @('DesiredStateConfiguration', 'DSC', 'DSCResourceKit', 'DSCResource', 'ConfigMgrCBDsc','CMAccounts','SCCMPreReqs',
            'SCCMInstall','CMIniFile','Collections','Boundaries','ForestDiscovery','ClientStatusSettings','BoundaryGroups','ManagementPoint',
            'AssetIntelligencePoint','FallbackStatusPoint','SoftwareUpdatePoint','DistrubtionPoint','HeartbeatDiscovery','ServiceConnectionPoint',
            'NetworkDiscovery','ReportingServicePoint','SystemDiscovery','PXEDistributionPoint','PullDistributionPoint','SiteMaintenance',
            'AdministrativeUser','DistributionGroup','SiteSystemServer','StatusReportingComponent','CollectionMembershipEvaluationComponent',
            'DistributionPointGroupMembers','SecurityScopes','UserDiscovery','SecurityRoles','ClientPushSettings','SoftwareDistributionComponent',
            'MaintenanceWindows','FileReplication','EmailNotificationComponent','CMGroupDiscovery','SoftwareUpdatePointComponent','ClientSettings',
            'ClientSettingsBits','ClientSettingsClientCache','ClientSettingsClientPolicy','ClientSettingsCompliance','ClientSettingsComputerAgent',
            'ClientSettingsDelivery','ClientSettingsHardware','ClientSettingsMetered','ClientSettingsPower','ClientSettingsRemoteTools',
            'ClientSettingsSoftwareCenter','ClientSettingsSoftwareDeployment','ClientSettingsSoftwareInventory','ClientSettingsSoftwareMetering',
            'ClientSettingsSoftwareUpdate','ClientSettingsStateMessaging','ClientSettingsUserDeviceAffinity','SiteConfiguration')

            # A URL to the license for this module.
            LicenseUri   = 'https://github.com/dsccommunity/ConfigMgrCBDsc/blob/master/LICENSE'

            # A URL to the main website for this project.
            ProjectUri   = 'https://github.com/dsccommunity/ConfigMgrCBDsc'

            # A URL to an icon representing this module.
            IconUri = 'https://dsccommunity.org/images/DSC_Logo_300p.png'

            # ReleaseNotes of this module
            ReleaseNotes = '## [3.0.0] - 2022-01-03

### Added

- Added ConfigMgrCBDsc.ReverseDsc module
- Added CMEmailNotificationComponent
- Added CMGroupDiscovery Resource
- Added CMSoftwareUpdatePointComponent resource
- Added CMClientSettings resource
- Added CMClientSettingsBits resource
- Added CMClientSettingsClientCache resource
- Added CMClientSettingsClientPolicy resource
- Added CMClientSettingsCloudService resource
- Added CMClientSettingsCompliance resource
- Added CMClientSettingsComputerAgent resource
- Added CMClientSettingsDelivery resource
- Added CMClientSettingsHardware resource
- Added CMClientSettingsMetered resource
- Added CMClientSettingsPower resource
- Added CMClientSettingsRemoteTools resource
- Added CMClientSettingsSoftwareCenter resource
- Added CMClientSettingsSoftwareDeployment resource
- Added CMClientSettingsSoftwareInventory resource
- Added CMClientSettingsSoftwareMetering resource
- Added CMClientSettingsSoftwareUpdate resource
- Added CMClientSettingsStateMessaging resource
- Added CMClientSettingsUserDeviceAffinity resource
- Added CMSiteConfiguration resource

### Fixed

- Fixed issue with CMAccounts with Get returning a string when only one account exists.
- Fixed issue with Boundary groups containing VPN type boundaries.

### Changed

- Added support for VPN and IPv6Prefix boundaries to the CMBoundaries resource.
- Updated module versions for SqlServerDsc, NetworkingDsc, ComputerManagementDsc
- Removed firewall configurations from the xSccmPreReqs resource. See
    (Source\Examples\PrimaryInstall.ps1) for an example of firewall configurations.

### Removed

- Removed xSccmSql resource in favor of using the SQLSetup resource. See
    (Source\Examples\PrimaryInstall.ps1) for an example of a SQL install configuration.

'
        } # End of PSData hashtable
    } # End of PrivateData hashtable
}
